Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 290485 - Stable =dev-db/mysql-5.0.84-r1
Summary: Stable =dev-db/mysql-5.0.84-r1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Linux MySQL bugs team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 290570
Blocks: CVE-2009-2446 290483
  Show dependency tree
 
Reported: 2009-10-25 18:54 UTC by Samuli Suominen (RETIRED)
Modified: 2010-03-09 20:34 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen (RETIRED) gentoo-dev 2009-10-25 18:54:06 UTC
- Hardened has GCC 4.3.4 in stable. 
- Required by new media-sound/amarok and KDE4.

The version in summary is now the minimum required.
Comment 1 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2009-10-26 07:36:11 UTC
arches, please stabilize.

target keywords: alpha amd64 arm hppa ia64 ppc ppc64 s390 sh sparc x86

Test instructions:
USE='berkdb cluster embedded extraengine' \
FEATURES='test userpriv -usersandbox' \
ebuild mysql-${PF}.ebuild \
digest clean package

ssuominen:
Please bug/fix up selinux:

  DEPEND.bad                    6
   dev-db/mysql/mysql-5.0.83.ebuild: ~amd64(selinux/2007.0/amd64/hardened) ['>=sys-devel/gcc-4']
   dev-db/mysql/mysql-5.0.83.ebuild: ~x86(selinux/2007.0/x86/hardened) ['>=sys-devel/gcc-4']
   dev-db/mysql/mysql-5.0.84.ebuild: ~amd64(selinux/2007.0/amd64/hardened) ['>=sys-devel/gcc-4']
   dev-db/mysql/mysql-5.0.84.ebuild: ~x86(selinux/2007.0/x86/hardened) ['>=sys-devel/gcc-4']
   dev-db/mysql/mysql-5.0.84-r1.ebuild: ~amd64(selinux/2007.0/amd64/hardened) ['>=sys-devel/gcc-4']
   dev-db/mysql/mysql-5.0.84-r1.ebuild: ~x86(selinux/2007.0/x86/hardened) ['>=sys-devel/gcc-4']

Or suggest that they deprecated/removed that old profile.
Comment 2 Samuli Suominen (RETIRED) gentoo-dev 2009-10-26 09:20:15 UTC
(In reply to comment #1)
> ssuominen:
> Please bug/fix up selinux:

They are marked as "dev" now until bug 290541 is done. 
I keep seeing same behavior tree wide.
Comment 3 Samuli Suominen (RETIRED) gentoo-dev 2009-10-26 15:22:20 UTC
Test results for amd64:

All 513 tests were successful.     
The servers were restarted 118 times
Spent 917.053 of 1408 seconds executing testcases
* Tests successfully completed


Install issues that should be likely fixed:

!!! dodoc: support-files/my-*.cnf does not exist
!!! dodoc: support-files/magic does not exist
!!! dodoc: support-files/ndb-config-2-node.ini does not exist
!!! dodoc: scripts/mysql* does not exist
Comment 4 Samuli Suominen (RETIRED) gentoo-dev 2009-10-26 15:38:24 UTC
OK, that's only cosmetics caused by the eclass. They are still installed.

/usr/share/doc/mysql-5.0.84-r1/support-files/my-small.cnf.bz2
/usr/share/doc/mysql-5.0.84-r1/support-files/ndb-config-2-node.ini.bz2
/usr/share/doc/mysql-5.0.84-r1/support-files/my-innodb-heavy-4G.cnf.bz2
/usr/share/doc/mysql-5.0.84-r1/support-files/my-large.cnf.bz2
/usr/share/doc/mysql-5.0.84-r1/support-files/my-medium.cnf.bz2
/usr/share/doc/mysql-5.0.84-r1/support-files/my-huge.cnf.bz2
/usr/share/doc/mysql-5.0.84-r1/support-files/magic.bz2

amd64 stable
Comment 5 f1a989188a51186834a821708563800a 2009-10-26 17:30:16 UTC
(In reply to comment #4)
> OK, that's only cosmetics caused by the eclass. They are still installed.
> 
> /usr/share/doc/mysql-5.0.84-r1/support-files/my-small.cnf.bz2
> /usr/share/doc/mysql-5.0.84-r1/support-files/ndb-config-2-node.ini.bz2
> /usr/share/doc/mysql-5.0.84-r1/support-files/my-innodb-heavy-4G.cnf.bz2
> /usr/share/doc/mysql-5.0.84-r1/support-files/my-large.cnf.bz2
> /usr/share/doc/mysql-5.0.84-r1/support-files/my-medium.cnf.bz2
> /usr/share/doc/mysql-5.0.84-r1/support-files/my-huge.cnf.bz2
> /usr/share/doc/mysql-5.0.84-r1/support-files/magic.bz2
> 
> amd64 stable
> 

Please test with enabled static useflag too. The last time when I tried to build mysql-5.0.84 with static useflag ended with compile error.

Thanks!
Comment 6 Christian Faulhammer (RETIRED) gentoo-dev 2009-10-29 10:47:49 UTC
With all USE flags enable I get the following test errors.  Go ahead anyway or do you need more details?

mysql-test-run in ps-protocol mode: *** Failing the test(s): create ps_1general ps_2myisam ps_3innodb ps_4heap ps_5merge
mysql-test-run: *** ERROR: there were failing test cases


USE=static has the following compile error:

libtool: link: i686-pc-linux-gnu-g++ -DDBUG_OFF -O2 -march=i686 -pipe -DHAVE_ERRNO_AS_DEFINE=1 -fno-exceptions -fno-strict-aliasing -felide-co
nstructors -fno-rtti -fno-implicit-templates -fno-strict-aliasing -fno-implicit-templates -fno-exceptions -fno-rtti -Wl,-O1 -rdynamic -o mysql
manager command.o mysqlmanager.o manager.o log.o thread_registry.o listener.o protocol.o mysql_connection.o user_map.o messages.o commands.o i
nstance.o instance_map.o instance_options.o buffer.o parse.o guardian.o parse_output.o  ./.libs/liboptions.a -lpthread -lpthread /var/tmp/port
age/dev-db/mysql-5.0.84-r1/work/mysql/libmysql/.libs/libmysqlclient.a -lpthread -lpthread ./.libs/libnet.a -lpthread -lpthread -lpthread -lpth
read ../../vio/.libs/libvio.a -lpthread -lpthread -lpthread -lpthread -lpthread -lpthread -lssl -lpthread -lpthread ../../mysys/.libs/libmysys
.a -lpthread -lpthread -lpthread -lpthread -lpthread -lpthread -lpthread -lpthread -lpthread -lpthread -lpthread -lpthread -lpthread -lpthread
 -lpthread -lpthread -lpthread -lpthread -lpthread -lpthread -lpthread -lpthread -lpthread -lpthread ../../strings/.libs/libmystrings.a -lpthr
ead -lpthread -lpthread -lpthread ../../dbug/.libs/libdbug.a -lpthread -lpthread -lpthread -lpthread -lz -lpthread -lcrypt -lnsl -lm -lpthread
 -lrt
/var/tmp/portage/dev-db/mysql-5.0.84-r1/work/mysql/libmysql/.libs/libmysqlclient.a(libmysql.o): In function `my_net_local_init':
libmysql.c:(.text+0x50a0): multiple definition of `my_net_local_init'
mysql_connection.o:mysql_connection.cc:(.text+0x550): first defined here
/var/tmp/portage/dev-db/mysql-5.0.84-r1/work/mysql/libmysql/.libs/libmysqlclient.a(libmysql.o):(.data+0x0): multiple definition of `net_buffer
_length'
./.libs/liboptions.a(liboptions_la-priv.o):(.data+0x0): first defined here
/var/tmp/portage/dev-db/mysql-5.0.84-r1/work/mysql/libmysql/.libs/libmysqlclient.a(libmysql.o):(.data+0x4): multiple definition of `max_allowe
d_packet'   
./.libs/liboptions.a(liboptions_la-priv.o):(.data+0x4): first defined here
../../mysys/.libs/libmysys.a(strings-x86.o): In function `bmove_upp':
strings.s:(.text+0x2f): multiple definition of `bmove_upp'
/var/tmp/portage/dev-db/mysql-5.0.84-r1/work/mysql/libmysql/.libs/libmysqlclient.a(bmove_upp.o):bmove_upp.c:(.text+0x0): first defined here
../../mysys/.libs/libmysys.a(strings-x86.o): In function `strend':
strings.s:(.text+0xaf): multiple definition of `strend'
/var/tmp/portage/dev-db/mysql-5.0.84-r1/work/mysql/libmysql/.libs/libmysqlclient.a(strend.o):strend.c:(.text+0x0): first defined here
../../mysys/.libs/libmysys.a(strings-x86.o): In function `strcend':
strings.s:(.text+0xee): multiple definition of `strcend'
/var/tmp/portage/dev-db/mysql-5.0.84-r1/work/mysql/libmysql/.libs/libmysqlclient.a(strcend.o):strcend.c:(.text+0x0): first defined here
../../mysys/.libs/libmysys.a(strings-x86.o): In function `is_prefix':
strings.s:(.text+0x107): multiple definition of `is_prefix'
/var/tmp/portage/dev-db/mysql-5.0.84-r1/work/mysql/libmysql/.libs/libmysqlclient.a(is_prefix.o):is_prefix.c:(.text+0x0): first defined here
../../mysys/.libs/libmysys.a(strings-x86.o): In function `strmake':
strings.s:(.text+0x176): multiple definition of `strmake'
/var/tmp/portage/dev-db/mysql-5.0.84-r1/work/mysql/libmysql/.libs/libmysqlclient.a(strmake.o):strmake.c:(.text+0x0): first defined here
../../mysys/.libs/libmysys.a(strings-x86.o): In function `strnmov':
strings.s:(.text+0x1a6): multiple definition of `strnmov'
/var/tmp/portage/dev-db/mysql-5.0.84-r1/work/mysql/libmysql/.libs/libmysqlclient.a(strnmov.o):strnmov.c:(.text+0x0): first defined here
../../mysys/.libs/libmysys.a(strings-x86.o): In function `strxmov':
strings.s:(.text+0x1e1): multiple definition of `strxmov'
/var/tmp/portage/dev-db/mysql-5.0.84-r1/work/mysql/libmysql/.libs/libmysqlclient.a(strxmov.o):strxmov.c:(.text+0x0): first defined here
collect2: ld returned 1 exit status
Comment 7 Christian Faulhammer (RETIRED) gentoo-dev 2009-11-09 18:00:22 UTC
USE=static failure is not a regression and after all MySQL seems to work.  Marking stable on x86, this time.
Comment 8 Joe Jezak (RETIRED) gentoo-dev 2009-11-13 15:38:12 UTC
I'm currently having compiler issues compiling on ppc/ppc64. The build fails due to a gcc error. I'm looking into it.
Comment 9 Tobias Klausmann gentoo-dev 2009-11-29 18:13:15 UTC
Stable on alpha.
Comment 10 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2010-01-31 05:12:30 UTC
ppc, ppc64, s390, sh, sparc: can you please update on your status with marking this stable?
Comment 11 Joe Jezak (RETIRED) gentoo-dev 2010-01-31 05:21:54 UTC
ppc/ppc64 still doesn't compile properly due to an internal compiler error. I still haven't had time to isolate the issue, but it can be fixed by compiling with -O0.
Comment 12 Jeroen Roovers (RETIRED) gentoo-dev 2010-01-31 06:43:58 UTC
Can't do anything right now for HPPA. Maybe when a newer gcc and/or glibc are stable, maybe with a new kernel. :)
Comment 13 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2010-03-09 20:34:20 UTC
Stabilization for MySQL has now moved to bug 303747 / 5.0.90-r2 (where ppc works)